libnjb 2.2.7

Data Structures | Data Fields
njb_songid_frame_struct Struct Reference

`#include <libnjb.h>`

## Data Structures
union | [union].data

## Data Fields
char * | label
u_int8_t | type
union | data
njb_songid_frame_t * | next

## Detailed Description

The song ID frame struct, one song ID has many such frames, stored as a linked list.

## Field Documentation

## ◆ data

union njb_songid_frame_struct::[union].data njb_songid_frame_struct::data

Examples
  gettr.c, and tracks.c.

## ◆ label

char* njb_songid_frame_struct::label

terminated string with frame type

Examples
  tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Findframe(), NJB_Songid_Frame_Destroy(), NJB_Songid_Frame_New_String(), NJB_Songid_Frame_New_Uint16(), NJB_Songid_Frame_New_Uint32(), songid_pack(), songid_pack3(), and songid_sanity_check().

## ◆ next

njb_songid_frame_t* njb_songid_frame_struct::next

A pointer to the next frame following this one in the song ID

Referenced by NJB_Songid_Addframe(), and NJB_Songid_Getframe().

## ◆ type

u_int8_t njb_songid_frame_struct::type

this tells us which subtype it is

Examples
  tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Frame_Destroy(), NJB_Songid_Frame_New_String(), NJB_Songid_Frame_New_Uint16(), NJB_Songid_Frame_New_Uint32(), songid_pack(), and songid_sanity_check().

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.7/src/libnjb.h